Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2256)
+++ admin/post.php	(revision 2225)
@@ -173,6 +173,5 @@
 		
 		if (!$core->error->flag()) {
-			dcPage::addSuccessNotice(__('All pings sent.'));
-			http::redirect('post.php?id='.$post_id.'&tb=1');
+			http::redirect('post.php?id='.$post_id.'&tbsent=1&tb=1');
 		}
 	}
@@ -320,7 +319,6 @@
 			# --BEHAVIOR-- adminAfterPostCreate
 			$core->callBehavior('adminAfterPostCreate',$cur,$return_id);
-
-			dcPage::addSuccessNotice(__('Entry has been successfully created.'));
-			http::redirect('post.php?id='.$return_id);
+			
+			http::redirect('post.php?id='.$return_id.'&crea=1');
 		}
 		catch (Exception $e)
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 2256)
+++ admin/post_media.php	(revision 1537)
@@ -51,7 +51,5 @@
 	{
 		$core->media->removePostMedia($post_id,$media_id);
-		
-		dcPage::addSuccessNotice(__('Attachment has been successfully removed.'));
-		http::redirect($core->getPostAdminURL($rs->post_type,$post_id,false));
+		http::redirect($core->getPostAdminURL($rs->post_type,$post_id,false).'&rmattach=1');
 	}
 	elseif (isset($_POST['post_id'])) {
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 2243)
+++ admin/posts_actions.php	(revision 1999)
@@ -18,18 +18,6 @@
 dcPage::check('usage,contentadmin');
 
-if (isset($_REQUEST['redir'])) {
-	$u = explode('?',$_REQUEST['redir']);
-	$uri = $u[0];
-	if (isset($u[1])) {
-		parse_str($u[1],$args);
-	}
-	$args['redir'] = $_REQUEST['redir'];
-} else {
-	$uri = 'posts.php';
-	$args=array();
-}
+$posts_actions_page = new dcPostsActionsPage($core,'posts.php');
 
-$posts_actions_page = new dcPostsActionsPage($core,$uri,$args);
-$posts_actions_page->setEnableRedirSelection(false);
 $posts_actions_page->process();
 
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2256)
+++ admin/preferences.php	(revision 2229)
@@ -123,7 +123,5 @@
 		$core->callBehavior('adminAfterUserProfileUpdate',$cur,$core->auth->userID());
 		
-		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
-
-		http::redirect('preferences.php');
+		http::redirect('preferences.php?upd=1');
 	}
 	catch (Exception $e)
@@ -177,6 +175,5 @@
 		$core->callBehavior('adminAfterUserOptionsUpdate',$cur,$core->auth->userID());
 		
-		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
-		http::redirect('preferences.php');
+		http::redirect('preferences.php?updated=1');
 	}
 	catch (Exception $e)
@@ -203,6 +200,5 @@
 		$core->callBehavior('adminAfterDashboardOptionsUpdate',$core->auth->userID());
 		
-		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
-		http::redirect('preferences.php');
+		http::redirect('preferences.php?db-updated=1');
 	}
 	catch (Exception $e)
@@ -229,6 +225,5 @@
 
 		if (!$core->error->flag()) {
-			dcPage::addSuccessNotice(__('Favorites have been successfully added.'));
-			http::redirect('preferences.php');
+			http::redirect('preferences.php?append=1');
 		}
 	} catch (Exception $e) {
@@ -256,6 +251,5 @@
 		$core->favs->setFavoriteIDs(array_keys($user_fav_ids),false);
 		if (!$core->error->flag()) {
-			dcPage::addSuccessNotice(__('Favorites have been successfully removed.'));
-			http::redirect('preferences.php');
+			http::redirect('preferences.php?removed=1');
 		}
 	} catch (Exception $e) {
@@ -283,6 +277,5 @@
 	$core->favs->setFavoriteIDs($order,false);
 	if (!$core->error->flag()) {
-		dcPage::addSuccessNotice(__('Favorites have been successfully updated.'));
-		http::redirect('preferences.php');
+		http::redirect('preferences.php?&neworder=1');
 	}
 }
@@ -294,6 +287,5 @@
 
 	if (!$core->error->flag()) {
-		dcPage::addSuccessNotice(__('Default favorites have been successfully updated.'));
-		http::redirect('preferences.php');
+		http::redirect('preferences.php?&replaced=1');
 	}
 }
Index: admin/services.php
===================================================================
--- admin/services.php	(revision 1699)
+++ admin/services.php	(revision 2227)
@@ -27,4 +27,5 @@
 $core->rest->addFunction('searchMeta',array('dcRestMethods','searchMeta'));
 $core->rest->addFunction('setSectionFold',array('dcRestMethods','setSectionFold'));
+$core->rest->addFunction('getModuleById',array('dcRestMethods','getModuleById'));
 
 $core->rest->serve();
@@ -442,6 +443,57 @@
 		return true;
 	}
-		
-	
+	
+	public static function getModuleById($core, $get, $post)
+	{
+		if (empty($get['id'])) {
+			throw new Exception('No module ID');
+		}
+		if (empty($get['list'])) {
+			throw new Exception('No list ID');
+		}
+
+		$id = $get['id'];
+		$list = $get['list'];
+		$module = array();
+
+		if ($list == 'plugin-activate') {
+			$modules = $core->plugins->getModules();
+			if (empty($modules) || !isset($modules[$id])) {
+				throw new Exception('Unknow module ID');
+			}
+			$module = $modules[$id];
+		}
+		elseif ($list == 'plugin-new') {
+			$store = new dcStore(
+				$core->plugins, 
+				$core->blog->settings->system->store_plugin_url
+			);
+			$store->check();
+
+			$modules = $store->get();
+			if (empty($modules) || !isset($modules[$id])) {
+				throw new Exception('Unknow module ID');
+			}
+			$module = $modules[$id];
+		}
+		else {
+			// behavior not implemented yet
+		}
+
+		if (empty($module)) {
+			throw new Exception('Unknow module ID');
+		}
+
+		$module = adminModulesList::sanitizeModule($id, $module);
+
+		$rsp = new xmlTag('module');
+		$rsp->id = $id;
+
+		foreach($module as $k => $v) {
+			$rsp->{$k}((string) $v);
+		}
+
+		return $rsp;
+	}
 }
 ?>
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2256)
+++ admin/user.php	(revision 2166)
@@ -130,6 +130,5 @@
 			}
 			
-			dcPage::addSuccessNotice(__('User has been successfully updated.'));
-			http::redirect('user.php?id='.$new_id);
+			http::redirect('user.php?id='.$new_id.'&upd=1');
 		}
 		# Add user
@@ -148,9 +147,8 @@
 			$core->callBehavior('adminAfterUserCreate',$cur,$new_id);
 			
-			dcPage::addSuccessNotice(__('User has been successfully created.'));
 			if (!empty($_POST['saveplus'])) {
-				http::redirect('user.php');
+				http::redirect('user.php?add=1');
 			} else {
-				http::redirect('user.php?id='.$new_id);
+				http::redirect('user.php?id='.$new_id.'&add=1');
 			}
 		}
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2256)
+++ admin/users_actions.php	(revision 2212)
@@ -86,6 +86,5 @@
 		}
 		if (!$core->error->flag()) {
-			dcPage::addSuccessNotice(__('User has been successfully deleted.'));
-			http::redirect($redir);
+			http::redirect($redir.'&del=1');
 		}
 	}
@@ -125,6 +124,5 @@
 		}
 		if (!$core->error->flag()) {
-			dcPage::addSuccessNotice(__('User has been successfully updated.'));
-			http::redirect($redir);
+			http::redirect($redir.'&upd=1');
 		}
 	}
Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2243)
+++ inc/admin/actions/class.dcaction.php	(revision 2169)
@@ -52,7 +52,4 @@
 	/** @var boolean true if we are acting inside a plugin (different handling of begin/endpage) */
 	protected $in_plugin;	
-	
-	/** @var boolean true if we enable to keep selection when redirecting */
-	protected $enable_redir_selection;	
 
     /**
@@ -87,17 +84,4 @@
 		$u=explode('?',$_SERVER['REQUEST_URI']);
 		$this->in_plugin = (strpos($u[0],'plugin.php') !== false);
-		$this->enable_redir_selection = true;
-	}
-	
-    /**
-     * setEnableRedirSelection - define whether to keep selection when redirecting
-	 *							Can be usefull to be disabled to preserve some compatibility.
-     *
-     * @param boolean $enable true to enable, false otherwise
-	 *
-     * @access public
-     */
-	public function setEnableRedirSelection($enable) {
-		$this->enable_redir_selection = $enable;
 	}
 	
@@ -243,9 +227,5 @@
 	public function getRedirection($with_selected_entries=false,$params=array()) {
 		$redir_args = array_merge($params,$this->redir_args);
-		if (isset($redir_args['redir'])) {
-			unset($redir_args['redir']);
-		}
-		
-		if ($with_selected_entries && $this->enable_redir_selection) {
+		if ($with_selected_entries) {
 			$redir_args[$this->field_entries] = array_keys($this->entries);
 		}
Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 2256)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 2169)
@@ -149,7 +149,5 @@
 		
 		$core->blog->updCommentsStatus($co_ids,$status);
-
-		dcPage::addSuccessNotice(__('Selected comments have been successfully updated.'));
-		$ap->redirect(true);
+		$ap->redirect(true,array('upd'=>1));
 	}
 
@@ -170,6 +168,5 @@
 		
 		$core->blog->delComments($co_ids);
-		dcPage::addSuccessNotice(__('Selected comments have been successfully deleted.'));
-		$ap->redirect(false);
+		$ap->redirect(false,array('del'=>1));
 	}
 }
Index: inc/admin/class.dc.favorites.php
===================================================================
--- inc/admin/class.dc.favorites.php	(revision 2247)
+++ inc/admin/class.dc.favorites.php	(revision 2234)
@@ -406,5 +406,6 @@
 				'small-icon' => 'images/menu/edit.png',
 				'large-icon' => 'images/menu/edit-b.png',
-				'permissions' =>'usage,contentadmin'),
+				'permissions' =>'usage,contentadmin',
+				'id' => 'menu-new-post'),
 			'posts' => array(
 				'title' => __('Entries'),
@@ -466,5 +467,5 @@
 				'url' => 'plugins.php',
 				'small-icon' => 'images/menu/plugins.png',
-				'large-icon' => 'images/menu/plugins-b.png'),
+				'large-icon' => 'images/menu/plugins-b.png'), 
 			'langs' => array(
 				'title' => __('Languages'),
@@ -479,17 +480,17 @@
 		));
 	}
-
-	public static function postsDashboard($core,$v)
-	{
+	
+	public static function postsDashboard($core,$v) {
 		$post_count = $core->blog->getPosts(array(),true)->f(0);
 		$str_entries = __('%d entry', '%d entries',$post_count);
 		$v['title'] = sprintf($str_entries,$post_count);
 	}
-
-	public static function commentsDashboard($core,$v)
-	{
+	
+	public static function commentsDashboard($core,$v) {
 		$comment_count = $core->blog->getComments(array(),true)->f(0);
 		$str_comments = __('%d comments', '%d comments',$comment_count);
 		$v['title']= sprintf($str_comments,$comment_count);
 	}
+
+
 }
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2225)
+++ inc/admin/lib.dc.page.php	(revision 2240)
@@ -580,4 +580,9 @@
 		self::jsVar('dotclear.img_menu_on','images/menu_on.png').
 		self::jsVar('dotclear.img_menu_off','images/menu_off.png').
+		
+		self::jsVar('dotclear.img_plus_theme_src','images/plus-theme.png').
+		self::jsVar('dotclear.img_plus_theme_alt',__('uncover')).
+		self::jsVar('dotclear.img_minus_theme_src','images/minus-theme.png').
+		self::jsVar('dotclear.img_minus_theme_alt',__('hide')).
 
 		self::jsVar('dotclear.msg.help',
@@ -667,4 +672,17 @@
 		self::jsVar('dotclear.msg.load_enhanced_uploader',
 			__('Loading enhanced uploader, please wait.')).
+
+		self::jsVar('dotclear.msg.module_author',
+			__('Author:')).
+		self::jsVar('dotclear.msg.module_details',
+			__('Details')).
+		self::jsVar('dotclear.msg.module_support',
+			__('Support')).
+		self::jsVar('dotclear.msg.module_help',
+			__('Help:')).
+		self::jsVar('dotclear.msg.module_section',
+			__('Section:')).
+		self::jsVar('dotclear.msg.module_tags',
+			__('Tags:')).
 			"\n//]]>\n".
 		"</script>\n";
